return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "Sanatorium",
	'template_class', "Sanatorium",
	'construction_cost_Concrete', 5000,
	'construction_cost_Metals', 2000,
	'construction_cost_Polymers', 1000,
	'build_points', 3000,
	'hide_from_build_menu', true, --隐藏自身替换原版
	'require_prefab', true,
	'is_tall', true,
	'dome_required', true,
	'dome_spot', "Spire",
	'achievement', "FirstDomeSpire",
	'upgrade1_id', "Sanatorium_BehavioralMelding",
	'upgrade1_display_name', T{158437973382, --[[ModItemBuildingTemplate Sanatorium_Plus upgrade1_display_name]] "行为纠正"},
	'upgrade1_description', T{518152262955, --[[ModItemBuildingTemplate Sanatorium_Plus upgrade1_description]] "用优点为访客取代缺陷。"},
	'upgrade1_icon', "UI/Icons/Upgrades/behavioral_melding_01.tga",
	'upgrade1_upgrade_cost_Polymers', 10000,
	'upgrade1_upgrade_cost_Electronics', 10000,
	'maintenance_resource_type', "Polymers",
	'maintenance_resource_amount', 200,
	'display_name', T{768777556362, --[[ModItemBuildingTemplate Sanatorium_Plus display_name]] "<color 0 255 0>疗养院</color>"},
	'display_name_pl', T{449307461950, --[[ModItemBuildingTemplate Sanatorium_Plus display_name_pl]] "疗养院"},
	'description', T{494747051747, --[[ModItemBuildingTemplate Sanatorium_Plus description]] "用先进的（大多是人道的）医疗手段来治疗殖民者的缺陷。"},
	'build_category', "Dome Spires",
	'display_icon', "UI/Icons/Buildings/sanatorium.tga",
	'build_pos', -3,
	'entity', "Sanatorium",
	'encyclopedia_image', "UI/Encyclopedia/Sanatorium.tga",
	'label1', "InsideBuildings",
	'palettes', "Sanatorium",
	'demolish_sinking', range(5, 15),
	'demolish_tilt_angle', range(300, 600),
	'electricity_consumption', 2000,
	'max_visitors', 20,
	'gain_point', 10000,
	'evaluation_points', 200,
	'trait1', "Gambler",
	'trait2', "Alcoholic",
	'trait3', "Lazy",
	'trait4', "ChronicCondition",
	'trait5', "Melancholic",
	'trait6', "Idiot",
	'trait7', "Introvert",
	'trait8', "Hypochondriac",
	'trait9', "Whiner",
	'trait10', "Renegade",
	'trait11', "Coward",
	'trait12', "Glutton",
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "School",
	'template_class', "School",
	'construction_cost_Concrete', 2500,
	'construction_cost_Electronics', 1000,
	'build_points', 900,
	'hide_from_build_menu', true, --隐藏自身替换原版
	'dome_required', true,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 200,
	'display_name', T{795334671796, --[[ModItemBuildingTemplate School_Plus display_name]] "<color 0 255 0>学校</color>"},
	'display_name_pl', T{899672830468, --[[ModItemBuildingTemplate School_Plus display_name_pl]] "学校"},
	'description', T{460503995776, --[[ModItemBuildingTemplate School_Plus description]] "使用新式远距学习科技，为儿童培育所期望的优点。"},
	'build_category', "Habitats",
	'display_icon', "UI/Icons/Buildings/school.tga",
	'build_pos', -2,
	'entity', "School",
	'encyclopedia_image', "UI/Encyclopedia/School.tga",
	'label1', "InsideBuildings",
	'palettes', "School",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'max_visitors', 20,
	'usable_by_children', true,
	'children_only', true,
	'gain_point', 1000,
	'evaluation_points', 100,
	'trait1', "Genius",
	'trait2', "Saint",
	'trait3', "Celebrity",
	'trait4', "Religious",
	'trait5', "Enthusiast",
	'trait6', "Nerd",
	'trait7', "Composed",
	'trait8', "Survivor",
}),
PlaceObj('ModItemCode', {
	'name', "aaa",
	'comment', "sss",
	'FileName', "Code/aaa.lua",
}),
PlaceObj('ModItemTech', {
	'id', "MartianbornAdaptability",
	'display_name', T{6331, --[[ModItemBuildingTemplate SchoolAAA display_name]] "stripped"},
	'icon', "UI/Icons/Research/martianborn_adaptability.tga",
	'description', T{6332, --[[ModItemBuildingTemplate SchoolAAA description]] "stripped"},
	'position', range(7, 10),
	'param1', 10000,
	'field', "Biotech",
}, {
	PlaceObj('TechEffect_EditProps', nil),
	}),
}
